Skip to main content
GET
/
v2
/
api
/
core
/
transactions
/
{transactionId}
/
in
Get an incoming transaction by ID
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/transactions/{transactionId}/in \
  --header 'X-Signature: <api-key>'
{
  "companyId": "ZTEST",
  "fromAddress": [
    "tb1qtx38mjl8gyg9gjk58tw88upytxwyxhmcqsv3le"
  ],
  "toWallet": "ZTEST-NOBENF-849P8XKKAO",
  "toAddress": "2Mz5ZH9e6Q53QfK2E1Azaos3Vq62niibhc1",
  "transferId": "TRI-ZTEST-63Q4DZ0KJP",
  "transferStatus": "PENDING_UNLOCK",
  "amountLedger": 641400,
  "ledgerRef": "2f6e77f8c4313d0925f71acf19a659398115bdf903e3af06b3b1776e756c096f",
  "actionId": "TX_IN_ACTION-ZTEST-7LE2JCPZ3D",
  "method": "TRANSFER",
  "createdAt": "2021-08-03T18:17:57Z",
  "currency": "<string>"
}

Authorizations

X-Signature
string
header
required

Path Parameters

transactionId
string
required

Response

OK

companyId
string

ID of the company

Required string length: 1 - 12
Example:

"ZTEST"

fromAddress
string[]

Sending addresses

Sending addresses

Example:
[
"tb1qtx38mjl8gyg9gjk58tw88upytxwyxhmcqsv3le"
]
toWallet
string

ID of the receiving wallet

Required string length: 1 - 40
Pattern: <companyId>-[NOBENF|<beneficiaryId>]-API-*
Example:

"ZTEST-NOBENF-849P8XKKAO"

toAddress
string

Receiving address

Example:

"2Mz5ZH9e6Q53QfK2E1Azaos3Vq62niibhc1"

transferId
string

ID of the incoming transaction

Required string length: 1 - 40
Example:

"TRI-ZTEST-63Q4DZ0KJP"

transferStatus
enum<string>

Current status of the transaction

Available options:
PENDING_UNLOCK,
PENDING_AUTH,
UNLOCK_IN_PROGRESS,
UNLOCKED,
CONFIRMATION_COMPLETED,
REJECTED_BY_SYSTEM,
APPROVAL_TIMEOUT,
UNDER_INVESTIGATION,
FAILED
amountLedger
integer

Amount of the transaction (in relevant unit)

Example:

641400

ledgerRef
string

Transaction hash

Example:

"2f6e77f8c4313d0925f71acf19a659398115bdf903e3af06b3b1776e756c096f"

actionId
string
deprecated

Read-only field

Example:

"TX_IN_ACTION-ZTEST-7LE2JCPZ3D"

method
string

Type of transaction

Pattern: TRANSFER
Example:

"TRANSFER"

createdAt
string

Date/time (in UTC) of creation of the transaction

Example:

"2021-08-03T18:17:57Z"

currency
string

Currency of the transaction